MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029860Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-06-13 10:262018-10-04 10:42
Reporternbv 
Assigned Toemv 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029860: BOPAlgo_BuilderFace cannot build new faces correctly
DescriptionBOPAlgo_BuilderFace cannot build new faces correctly. The source face contains cone with degenerated edge.
Steps To Reproducerestore cfe_47.brep cfe
bopbf f cfe
# 2 faces were built ==> WRONG (must be 3 faces)
TagsNo tags attached.
Test case number
Attached Files? file icon cfe_47.brep (15,693 bytes) 2018-06-13 10:26
? file icon InvFace.bin (4,645 bytes) 2018-07-19 16:21
png file icon NotTrimmedDE.PNG (14,962 bytes) 2018-10-04 10:38

- Relationships
related to 0029807verifiedbugmaster [Regression to 7.0.0] Impossible to cut cone from prism 
parent of 0029883assignedemv Boolean operation with prism and cone produces invalid result when tolerance of vertex in cone apex is too big 
related to 0029421assignednbv Make face classifier algorithm stable and robust 
related to 0029922newmsv Boolean operation with conical argument loses degenerated edge 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0077827)
nbv (developer)
2018-07-19 15:21
edited on: 2018-07-19 17:15

The fix for the issue 0029421 creates three faces (as it is needed). However, the face f_3 is invalid in terms of BRepCheck.

I have attached it in the file InvFace.bin (is opened by "binrestore" DRAW-command).

Please note, that visually this face seems to be OK. So, maybe here BRepCheck algorithm works wrongly. It should be analyzed.

Faulty status is returned by BRepCheck_Wire::Closed2d() method. It uses BRepTools_WireExplorer algorithm, which finds only one edge in the wire (in spite of wire's containing 4 edges).

binrestore InvFace.bin ff
explode ff w
wexplo ff_1 ff
puts [llength [directory WEDGE_*]]
# 1 but must be 4


Please note, if we use BRepTools_WireExplorer only for 3D-space then it works correctly:

binrestore InvFace.bin ff
explode ff w
wexplo ff_1
puts [llength [directory WEDGE_*]]
# 4 ==> OK


(0077828)
nbv (developer)
2018-07-19 16:26
edited on: 2018-07-19 16:29

As result, the tests "bugs modalg_7 bug29807_b5a" and "bugs modalg_7 bug29807_b4a" changes self behavior. The number of entities has become as expected but

checkshape result 


finds faulty entities.

(0079668)
nbv (developer)
2018-10-04 10:41
edited on: 2018-10-04 10:42

Please note that the degenerated edge is not trimmed by the intersection point with another edge. See NotTrimmedDE.PNG attached picture, where p-curve of InvFace.bin is shown.

I think, it is a problem of Boolean operation in "bugs modalg_7 bug29807_b5a" and "bugs modalg_7 bug29807_b4a" test cases.


- Issue History
Date Modified Username Field Change
2018-06-13 10:26 nbv New Issue
2018-06-13 10:26 nbv Assigned To => msv
2018-06-13 10:26 nbv File Added: cfe_47.brep
2018-06-13 10:26 nbv Relationship added related to 0029807
2018-06-19 10:16 nbv Relationship added parent of 0029883
2018-07-19 15:21 nbv Note Added: 0077827
2018-07-19 15:22 nbv Assigned To msv => nbv
2018-07-19 15:22 nbv Status new => feedback
2018-07-19 15:34 nbv Relationship added related to 0029421
2018-07-19 16:06 nbv Relationship added related to 0029922
2018-07-19 16:19 nbv Note Edited: 0077827 View Revisions
2018-07-19 16:20 nbv Assigned To nbv => emv
2018-07-19 16:20 nbv Status feedback => assigned
2018-07-19 16:21 nbv File Added: InvFace.bin
2018-07-19 16:26 nbv Note Added: 0077828
2018-07-19 16:29 nbv Note Edited: 0077828 View Revisions
2018-07-19 17:10 nbv Note Edited: 0077827 View Revisions
2018-07-19 17:15 nbv Note Edited: 0077827 View Revisions
2018-10-04 10:38 nbv File Added: NotTrimmedDE.PNG
2018-10-04 10:41 nbv Note Added: 0079668
2018-10-04 10:42 nbv Note Edited: 0079668 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker